العودة للمرجع
POST/payouts/{payoutId}/approve
Payouts

الموافقة على الصرف

يوافق على طلب الصرف وفق الصلاحيات وانتقالات الحالة.

مستوى الوصولrestricted_approverالحد20/minمنع التكرارnoneالمصادقةBearerAuth
المصدرLuxApi/app/Http/Controllers/Api/PayoutApiController.php::approveLuxPayProjects @ 146e98baa44e

المعاملات

X-Request-IDheader
stringاختياري

Client correlation identifier. LuxPay may generate one when omitted.

Example: req_01J...
payoutIdpath
integerإلزامي

Payout identifier.

Example: 8001

جسم الطلب

NotesRequestإلزامي
notes
string | null

JSON example

{
  "notes": "string"
}

أمثلة الكود

العنوان المعروض Sandbox Placeholder حتى يتم تزويد النطاق الرسمي. لا تلصق رمز Production في متصفح عام.
curl --request POST \
  --url 'https://sandbox-api.luxpay.example/v1/payouts/8001/approve' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "notes": "string"
}'

الاستجابات

200Successful response.
status
boolean
Example: true
message
string | null
message_translated
string | null
data
Payout
{
  "status": true,
  "message": "string",
  "message_translated": "string",
  "data": {
    "id": 1,
    "uuid": "00000000-0000-4000-8000-000000000001",
    "wallet_id": 1,
    "amount": 1,
    "currency_code": "string",
    "status": "pending",
    "payout_method": "string",
    "payout_destination": {},
    "description": "string",
    "idempotency_key": "string",
    "attempts": [
      {}
    ],
    "created_at": "2026-07-16T12:00:00Z"
  }
}
400
401
403
404
409
422
429
500
OpenAPI JSONOpenAPI YAMLPostman collection